Package org.apache.wiki.ui.admin

## Interface AdminBean

All Superinterfaces:
  `GenericHTTPHandler`

All Known Implementing Classes:
  `CoreBean`, `FilterBean`, `ModuleBean`, `PlainEditorAdminBean`, `PluginBean`, `SearchManagerBean`, `SimpleAdminBean`, `UserBean`, `WikiFormAdminBean`

    public interface AdminBean
    extends GenericHTTPHandler

Describes an administrative bean.

Since:
  2.5.52

### Field Summary

Fields
`static int` `CORE`
`static int` `EDITOR`
`static int` `UNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getTitle()` Return a human-readable title for this AdminBean.
`int` `getType()` Returns a type (UNKNOWN, EDITOR, etc).
`void` `initialize​(Engine engine)`

### Methods inherited from interface org.apache.wiki.ui.GenericHTTPHandler

`doGet, doPost, getId`

### Field Detail

#### UNKNOWN

    static final int UNKNOWN

See Also:
  Constant Field Values

#### CORE

    static final int CORE

See Also:
  Constant Field Values

#### EDITOR

    static final int EDITOR

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize​(Engine engine)

#### getTitle

    java.lang.String getTitle()

Return a human-readable title for this AdminBean.

Returns:
  the bean's title

#### getType

    int getType()

Returns a type (UNKNOWN, EDITOR, etc).

Returns:
  the bean's type